package de.hdm_stuttgart.mi.sd1.integer_representation;

public class Lecture {

    public final int dayHeld; /* e.g. to be held on Tuesdays */

    public final String title; /* e.g. «PHP introduction» */

    public Lecture(final int dayHeld, final String title) {
        this.dayHeld = dayHeld;
        this.title = title;
    }

    @Override
    public String toString() {
        return "Lecture «" + title + "» being held each " + Day.getDaysName(dayHeld);
    }
}