package de.hdm_stuttgart.mi.sda1;

import de.hdm_stuttgart.mi.sda1.model.StudyCourse;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

/**
 * Read a {@link StudyCourse} by its primary key value.
 */
public class UpdateStudyCourseById {

  static private final EntityManagerFactory factory = Persistence.createEntityManagerFactory(
    "strategy_none");

  static private final EntityManager entityManager = factory.createEntityManager();

  /**
   * @param args unused
   */
  public static void main( String[] args ) {

    final StudyCourse csm = entityManager.find(StudyCourse.class, (long) 1);

    final EntityTransaction tx = entityManager.getTransaction();
    tx.begin();
      csm.setFullName("Computerwissenschaft und Medien");
    tx.commit();

    System.out.println("After renaming: '" + csm + "'");

    // See http://stackoverflow.com/questions/21645516/program-using-hibernate-does-not-terminate
    factory.close();
  }
}