package de.hdm_stuttgart.sw1.klausur.test.ignoriere_mich;

/**
 * String related helper methods
 *
 */
public class Helper {
   /**
    * Turn an array of strings into a readable set .
    * @param words Words to be joined into a single string
    * @return A String like "{word_1, word_2, ..., word_n}"
    */
   public static String toString(final String[] words) {
      if (null == words) {
         return "null";
      } else {
         final StringBuffer retValue = new StringBuffer("{");
         String sep="";
         for(final String w: words) {
            retValue.append(sep + "\"" + w + "\"");
            sep = ", ";
         }
         retValue.append("}");
         return retValue.toString();
      }
   }
}
