package de.hdm_stuttgart.mi.sd1.extra;

public class ZeitDauer {
  final int stunden, minuten, sekunden;

  /**
   * Zeitangabe kleiner als 1 Tag
   *
   * @param stunden Werte von 0 bis 23
   * @param minuten Werte von 0 bis 59
   * @param sekunden Werte von 0 bis 59
   */
  public ZeitDauer(final int stunden, final int minuten, final int sekunden) {
    this.stunden = stunden;
    this.minuten = minuten;
    this.sekunden = sekunden;
  }

  @Override
  public boolean equals(Object o) {
    if (o instanceof ZeitDauer) {
      return sekunden == ((ZeitDauer) o).sekunden &&
          minuten == ((ZeitDauer) o).minuten &&
          stunden == ((ZeitDauer) o).stunden;
    } else {
      return false;
    }
  }

  @Override public int hashCode() {
    return sekunden + 60 * minuten + 3600 * stunden;
  }
  public int hashCode2() {
    return sekunden + minuten + stunden;
  }
}
