package de.hdm_stuttgart.mi.sd1.test.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.task1.Helper;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class Test_30_Helper_isVowel extends ExaminationTestDefaults {

  /* Section: isVowel(...) */

  @Test @Marking(points = 5) public void test_410_checkVowel() {

    for (final char consonant: new char[]{
            'b', 'c', 'd', 'f', 'g', 'h', 'j', 'k', 'l', 'm', 'n', 'p', 'q', 'r', 's', 't', 'v', 'w', 'x', 'y', 'z'}) {
      Assert.assertFalse(Helper.isVowel(consonant));
      Assert.assertFalse(Helper.isVowel(Character.toUpperCase(consonant)));
    }
    for (final char vowel: new char[]{'a', 'e', 'i', 'o', 'u'}) {
      Assert.assertTrue(Helper.isVowel(vowel));
      Assert.assertTrue(Helper.isVowel(Character.toUpperCase(vowel)));
    }
  }
}