DROP TABLE IF EXISTS Employee, Department;

CREATE TABLE Department(

   shortName CHAR(10) NOT NULL
  ,PRIMARY KEY(shortName)
  
  ,name  VARCHAR(30) NOT NULL
  ,parent CHAR(10) NULL
  ,FOREIGN KEY(parent) REFERENCES Department(shortName)
  
);

CREATE TABLE Employee (

   ssn CHAR(11) NOT NULL
  ,PRIMARY KEY(ssn)
  
  ,commonName  VARCHAR(30) NOT NULL
  
  ,department CHAR(10) NULL
  ,FOREIGN KEY(department) REFERENCES Department(shortName)
  
);

INSERT INTO Department VALUES('fs', 'Financial Services', NULL);
INSERT INTO Department VALUES('cust', 'Customer Relations', 'fs');
INSERT INTO Department VALUES('support', 'Customer Support', 'cust');
INSERT INTO Department VALUES('4you', 'Marketing for you', 'fs');
INSERT INTO Department VALUES('dev', 'Development', NULL);

INSERT INTO Employee VALUES('987-65-4320', 'Sue Baker', 'dev');
INSERT INTO Employee VALUES('987-65-4326', 'Jim Smith', 'support');
