package de.hdm_stuttgart.mi.sda1.impl;

import org.jdom2.Element;
import org.jdom2.output.Format;
import org.jdom2.output.XMLOutputter;

import java.io.IOException;
import java.io.OutputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class DbRead {

  public final Element html;

  private final Connection conn;

  public DbRead() {
    html = new Element("html");

    Connection connTmp = null;
    try {
      connTmp = DriverManager.getConnection(
          "jdbc:postgresql://localhost:5432/hdm", "hdmuser", "XYZ");
    } catch (final SQLException e) {
      System.err.println("Unable to establish connection: " + e);
      System.exit(1);
    }
    conn = connTmp;
  }

  public void toHtml(final OutputStream out) {

    final XMLOutputter printer =
        new XMLOutputter(Format.getPrettyFormat());
    try {
      printer.output(html, out);
    } catch (final IOException e) {
      System.err.println("Unable to write output: " + e);
    }
  }
}