package de.hdm_stuttgart.mi.sda1.impl;

import org.jdom2.Element;
import org.jdom2.output.Format;
import org.jdom2.output.XMLOutputter;

import java.io.IOException;
import java.io.OutputStream;
import java.sql.*;

public class DbReadDuplicate extends DbRead {

  void addData() throws SQLException {

    final Statement queryTimes = conn.createStatement();

    final String selectTimes =
        "SELECT fullName, time, badStart\n" +
            "FROM Competition, Athlete\n" +
            "WHERE Competition.athlete = Athlete.id\n" +
            "ORDER BY time";

    final ResultSet times = queryTimes.executeQuery(selectTimes);

    int rank = 1;
    while (times.next()) {

      final Element tr = new Element(
          "tr")
          .addContent(new Element("td").addContent("" + rank++))
          .addContent(new Element("td").addContent(times.getString("fullname")))
          .addContent(new Element("td").addContent(times.getString("time")));

      if (times.getBoolean("badStart")) {
        tr.setAttribute("style", "background: red;");
      }
      table.addContent(tr);
    }
  }
}