package de.hdm_stuttgart.mi.sda1.impl;

import org.jdom2.Element;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class DbReadUnique extends DbRead {


  void addData() throws SQLException {


    final Statement queryTimes = conn.createStatement();

    final String selectTimes =
        "SELECT fullName, min(time) AS time\n" +
            "FROM Competition, Athlete\n" +
            "WHERE Competition.athlete = Athlete.id\n" +
            "  AND NOT(badStart)\n" +
            "GROUP BY Athlete.id\n" +
            "ORDER BY time, fullName";

    final ResultSet times = queryTimes.executeQuery(selectTimes);

    int rank = 1;
    while (times.next()) {

      final Element tr = new Element(
          "tr")
          .addContent(new Element("td").addContent("" + rank++))
          .addContent(new Element("td").addContent(times.getString("fullname")))
          .addContent(new Element("td").addContent(times.getString("time")));

      table.addContent(tr);
    }
  }
}