package de.hdm_stuttgart.mi.sda1;

import org.jdom2.*;
import org.jdom2.input.SAXBuilder;

import java.io.File;
import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class Book2Rdbms implements AutoCloseable {


  private Connection conn;

  private Element book;

  public Book2Rdbms(
) {
    try {
      conn = DriverManager.getConnection(
          "jdbc:postgresql://localhost/hdm", "hdmuser", "XYZ");

    } catch (SQLException e) {
      System.err.println("Unable to establish connection: " + e);
      System.exit(1);
    }

    final SAXBuilder builder = new SAXBuilder();
    try {
      book = builder.build(new File("Schema/sampledata.xml")).getRootElement();
    } catch (JDOMException e) {
      e.printStackTrace();
      System.err.println("Unable to parse input: " + e);
      System.exit(1);
    } catch (IOException e) {
      e.printStackTrace();
      System.err.println("Unable to read input: " + e);
      System.exit(1);
    }
  }

  public void execute() {
    System.out.println(book.getChild("title"));
  }

  @Override
  public void close() {
    try {
      conn.close();
    } catch (final SQLException e) {
      e.printStackTrace();
    }
  }
}