DROP TABLE IF EXISTS Foo;


CREATE TABLE ... /* TODO: Create schema closely resembling catalog.xsd integrity rules */
                 /* sample data below may be used for checking your schema's consistence */

/* Inserting categories */
INSERT INTO Category
VALUES ('food', 'Food and drinking');

INSERT INTO Category
VALUES ('hardware', 'Tools, DIY');

INSERT INTO Category
VALUES ('lifestyle', 'Lifestyle products');


/* Inserting articles */
INSERT INTO Article
VALUES (232434, 'Super 3D Tin Lunch Box',         NULL,                                  '232434_1', 'png');

INSERT INTO Article
VALUES (544343, 'Monthly beer subscription box', 'Various brands and flavours on offer.', NULL,       NULL);

/* Relating categories and articles */
INSERT INTO Category2Article
VALUES ('lifestyle', 232434);

INSERT INTO Category2Article
VALUES ('hardware', 232434);

INSERT INTO Category2Article
VALUES ('food', 544343);