package de.hdm_stuttgart.mi.marking;

import de.hdm_stuttgart.mi.marking.implement.MarkFrequencies;

/**
 * Marking frequencies demo.
 */
public class SimpleExample {


  /**
   * <p>This is **not** the desired terminal application.</p>
   *
   * @param args Unused.
   */
  public static void main(String[] args) {

    final MarkFrequencies markFrequencies =
        new MarkFrequencies(new int[]{2,1,3,3,5,4,1,2,2,4,3,2,3,3,1,5,3,4});

    // Create overview of marks:
    //
    System.out.println("Mark|frequency");
    System.out.println("----+---------");

    for (int i = 0; i < markFrequencies.frequencyByMark.length ; i++) {
      System.out.println("   " + (markFrequencies.lowestMark + i - 1) + "|" +
          markFrequencies.frequencyByMark[i]);
    }
  }
}
