package de.hdm_stuttgart.mi.sd1.htmlformat;

import java.text.ParseException;

/**
 * Address data files may contain corrupted entries
 *
 */
@SuppressWarnings("serial")
public class AddressParseError extends ParseException {
  
  /**
   * @param messageString Supply a parse error explanation.
   * @param lineNumber the current line number within the parsing process
   */
  public AddressParseError(final String messageString, int lineNumber) {
    super(messageString, lineNumber);
  }
}
