package de.hdm_stuttgart.mi.sd1.textstat.test;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.sd1.textstat.TextFileHandler;

@SuppressWarnings({"UnusedDeclaration", "javadoc"})
public class TestWordCollect {

  @Test
  public void testWordSet() throws FileNotFoundException, IOException {
    
    final Set<String> expectedStrings = 
        new HashSet <String>(Arrays.asList(new String[]{
            "A", "simple", "collection", "of", "words",
            "Some", "may", "appear", "multiple", "times"
        }));
    
    final TextFileHandler tfh = new TextFileHandler("smalltest.txt");
    Assert.assertTrue(tfh.getWords().equals(expectedStrings));
  }
}
