package de.hdm_stuttgart.mi.sd1.plot;


// Defining y=sin(x) function
class MySin implements DoubleOfDoubleFunction {

   @Override
   public double compute(double x) {
      return Math.sin(x);
   }
}

/**
 * Plotting functions based on an interface definition.
 * 
 */
public class DriverInterface {
    /**
     * @param args Unused
     */
    public static void main( String[] args ) {
        final Plotter plotter = new Plotter();
        
        plotter.setNumTics(80, 40);// 80 characters vertical, 40 characters horizontal
        plotter.setXrange(0, 2 * Math.PI);
        plotter.setYrange(-1, 1);
        
        final DoubleOfDoubleFunction sinFunction = new MySin();
        plotter.plot(sinFunction);
    }
}
