package de.hdm_stuttgart.sd1.sum;

/**
 * Summing up integer values.
 *
 */
public class Summing {

  /**
   * @param args unused
   */
  public static void main(final String[] args) {
    System.out.println("1 + 2 + ... + 150" + "=" + getSum(150));
  }
  
  /**
   * Summing up all integers up to and including a given limit
   * Example: Let the limit be 5, then the result is 1 + 2 + 3 + 4 + 5  
   * 
   * @param limit The last number to include into the computed sum
   * @return The sum of 1 + 2 + ... + limit
   */
  public static long getSum (final int limit) {
    int sum = 0;
    for (int i = 1; i <= limit; i++) {
      sum += i;
    }
    return sum;
  }
}