package de.hdm_stuttgart.sd1.sum;

import static org.junit.Assert.*;

import org.junit.Test;

/**
 * Unit tests
 */
@SuppressWarnings({"UnusedDeclaration"})
public class SummingTest {

   /**
    * Testing negative values and zero.
    */
   @Test
   public void testNonPositiveLimits() {
      assertEquals(0, Summing.getSum(-5));
      assertEquals(0, Summing.getSum(0));
   }
   /**
    * Testing positive values.
    */
   @Test
   public void testPositiveLimits() {
      assertEquals(1, Summing.getSum(1));
      assertEquals(3, Summing.getSum(2));
      assertEquals(15, Summing.getSum(5));
      assertEquals(5050, Summing.getSum(100)); // Gauss at school
      assertEquals(2147450880, Summing.getSum(65535));
   }
}
