package de.hdm_stuttgart.mi.sda1.imgesearch;

import java.io.IOException;

import javax.xml.parsers.ParserConfigurationException;

import org.junit.Assert;
import org.junit.Test;
import org.xml.sax.SAXException;

/**
 * Test counting &lt;img&gt; elements.
 */
@SuppressWarnings({"UnusedDeclaration"})
public class ImageCountTest {
    /**
     * Dummy test method
    * @throws SAXException 
    * @throws ParserConfigurationException 
    * @throws IOException 
     */
    @Test
    public void testMixed() throws ParserConfigurationException, SAXException, IOException {
       
       
       final ImageCount imgCount = new ImageCount();

       final String xhtmlInstanceFilename = "src/main/resources/example.xhtml";

       imgCount.read(xhtmlInstanceFilename);
       
       Assert.assertEquals(2, imgCount.getNumberOfBlockLevelImgElements() );
       Assert.assertEquals(2, imgCount.getNumberOfInlineImgElements() );

       // Redo parsing
       
       imgCount.read(xhtmlInstanceFilename);
       
       Assert.assertEquals(2, imgCount.getNumberOfBlockLevelImgElements() );
       Assert.assertEquals(2, imgCount.getNumberOfInlineImgElements() );
    }
}
