<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:output method="xhtml"/>
    
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <title>SVG</title>
                <meta charset="utf-8" />
            </head>
            <body>
                <h2>HTML5 SVG Circle</h2>
                <p>Starting a simple test.</p>
                <svg width="200" height="200" xmlns="http://www.w3.org/2000/svg">
                    <circle id="redcircle" cx="50" cy="50" r="50" fill="red" />
                </svg>
                <p>Ending a simple test.</p>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="*">
        <xsl:message>
            <xsl:text>No rule defined for element '</xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text>'.</xsl:text>
        </xsl:message>
    </xsl:template>
    
</xsl:stylesheet>