<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:h="http://www.w3.org/1999/xhtml"
    exclude-result-prefixes="xs" version="2.0">
    
    <xsl:template match="/">
        <h:html>
            <h:head>
                <h:title></h:title>
            </h:head>
            <h:body>
                <h:h1>A heading</h:h1>
                <h:p>A paragraph</h:p>
                <h:h1>Yet another heading</h:h1>
                <xsl:apply-templates/>
            </h:body>
        </h:html>
    </xsl:template>

    <xsl:template match="*">
        <xsl:message>
            <xsl:text>No template defined for element '</xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text>'</xsl:text>
        </xsl:message>
    </xsl:template>

</xsl:stylesheet>