package de.hdm_stuttgart.mi.sda2.jpa.cd.domain;

import javax.persistence.Embeddable;

@SuppressWarnings("javadoc")
@Embeddable
public class Address {

   protected Address(){}
   
   String street, town, zip;
   
   public Address(final String street, final String town, final String zip) {
      setStreet(street);
      setTown(town);
      setZip(zip);
   }

   public String getStreet() {
      return street;
   }

   public void setStreet(String street) {
      this.street = street;
   }

   public String getTown() {
      return town;
   }

   public void setTown(String town) {
      this.town = town;
   }

   public String getZip() {
      return zip;
   }

   public void setZip(String zip) {
      this.zip = zip;
   }

   @Override
   public String toString() {
      
      return getStreet() + ", " + getZip() + " " + getTown();
   }
}
