package de.hdm_stuttgart.mi.sda2.usermanage;

import java.sql.SQLException;

import de.hdm_stuttgart.mi.sda2.usermanage.parse.ParseError;
import de.hdm_stuttgart.mi.sda2.usermanage.parse.Parser;
import de.hdm_stuttgart.mi.sda2.usermanage.rdbms.RdbmsHandler;

/**
 * 
 *
 */
public class Driver {
   public static void main(String[] args) {
      try {
         final RdbmsHandler dbHandler = new RdbmsHandler();
         dbHandler.connect();
         new Parser(dbHandler, "Testdata/group",
               "Testdata/passwd");

      } catch (ParseError e) {
         System.err.println(e.getMessage());
         System.exit(1);
      } catch (SQLException e) {
         System.err.println("Unable to connect to database server");
         System.exit(1);
      }
   }
}
