package de.hdm_stuttgart.mi.sda2.usermanage.rdbms;

public enum GroupParam implements Param {

	// See index values in subsequent SQL statement
	gid(1),
	gidNumber(2);
	
	public static final String sql="INSERT INTO SysGroup (gid, gidNumber) "
		                                 /* Parameter index  1          2 */
    			                                   + "VALUES(?,         ?)";

	public final int index;
	
	GroupParam(final int index){
		this.index = index;
	}
	public int getIndex() {
		return index;
	}
	
	public String getSql() {
		return sql;
	}
	
}
