package de.hdm_stuttgart.mi.sda2.forum.domain;

import java.io.Serializable;

public class UserForumAssocId implements Serializable {
	private static final long serialVersionUID = 2524118415599737530L;

	private long userId;
	private long forumId;

	public int hashCode() {
		return (int) (userId + forumId);
	}

	public boolean equals(Object object) {
		if (object instanceof UserForumAssocId) {
			final UserForumAssocId otherId = (UserForumAssocId) object;
			return (otherId.userId == this.userId)
					&& (otherId.forumId == this.forumId);
		}
		return false;
	}
}
