Installation on https://maven.mi.hdm-stuttgart.de/nexus:

```shell
mvn deploy
```

Prerequisite configuration `~/.m2/settings.xml`:

```xml
<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
 
   <servers>
      <server>
        <id>mi-nexus</id>
        <username>admin</username>
        <password>KeepSmiling!</password>
      </server>
   </servers>
 
   <profiles>
     <profile>
       <id>devel</id>
         <repositories>
             <repository>
               <id>archetype</id>
               <url>https://maven.mi.hdm-stuttgart.de/nexus/repository/mi-maven</url>
               <releases><enabled>true</enabled></releases>
               <snapshots><enabled>true</enabled></snapshots>
             </repository>
         </repositories>
     </profile>
   </profiles>
 
   <activeProfiles>
     <activeProfile>devel</activeProfile>
   </activeProfiles>
 </settings>
```