<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns:svg="http://www.w3.org/2000/svg"
    xmlns:html="http://www.w3.org/1999/xhtml"
    xmlns:db="http://docbook.org/ns/docbook"
    exclude-result-prefixes="xlink db svg html"
    version="2.0">
    
    <xsl:include href="common.xsl"/>
    
    <xsl:variable name="n">
        <xsl:text>
</xsl:text>
    </xsl:variable>    


    <xsl:output method="text"/>
    <xsl:template match="/">
        <xsl:text>#!/bin/bash</xsl:text>
        <xsl:value-of select="$n"/>
        <xsl:value-of select="$n"/>
        <xsl:apply-templates select="//db:imagedata"/>
    </xsl:template>    
    
    <xsl:template match="db:imagedata">
        <xsl:variable name="base64GeneratedFilename">
            <xsl:call-template name="getBase64Filename">
                <xsl:with-param name="svgFilename" select="@fileref"/>
            </xsl:call-template>
        </xsl:variable>
        
        
        <xsl:text>echo -n '&lt;data&gt;' &gt; </xsl:text>
        <xsl:value-of select="$base64GeneratedFilename"/>
        <xsl:value-of select="$n"/>
        <xsl:text>base64 </xsl:text>
        <xsl:value-of select="@fileref"/>
        <xsl:text> &gt;&gt; </xsl:text>
        <xsl:value-of select="$base64GeneratedFilename"/>
        <xsl:value-of select="$n"/>
        <xsl:text>echo '&lt;/data&gt;' &gt;&gt; </xsl:text>
        <xsl:value-of select="$base64GeneratedFilename"/>
        <xsl:value-of select="$n"/>
    </xsl:template>
        
    
</xsl:stylesheet>
