package de.hdm_stuttgart.mi.bb;

import org.glassfish.jersey.client.ClientConfig;
import org.glassfish.jersey.jackson.JacksonFeature;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.Invocation;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.*;
import java.util.List;
import java.util.Map;

/**
 * Reading user flags
 *
 */
public class ReadUsers {
    public static void main( String[] args ) {

        final ClientConfig cc = new ClientConfig().register(new JacksonFeature());

        final Client client = ClientBuilder.newClient( cc);
        final WebTarget webTarget = client.target("https://bb.mi.hdm-stuttgart.de/api").path("users");

        Invocation.Builder invocationBuilder =  webTarget.request(MediaType.APPLICATION_JSON_TYPE);
        final Response response = invocationBuilder.get();

        final Map<String, Object> ret = response.readEntity(Map.class);

        System.out.println(response.getStatus());
        System.out.println(ret.get("users").getClass().getName());
        final List l = (List)ret.get("users");
        final Map<String, Object> m = (Map)l.get(0);
        for (String k: m.keySet()) {
            System.out.println("key '" + k + "', val '" + m.get(k) + "'");
        }
    }
}