<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
  
    <xsl:template name="slideFilename">
        <xsl:param name="slideContainerId"/>
        <xsl:text>__slide</xsl:text>
        <xsl:value-of select="$slideContainerId"/>
        <xsl:text>.html</xsl:text>
    </xsl:template>
    
    <xsl:template name="breadcrumbFilename">
        <xsl:param name="slideContainerId"/>
        <xsl:text>__breadcrumb</xsl:text>
        <xsl:value-of select="$slideContainerId"/>
        <xsl:text>.html</xsl:text>
    </xsl:template>
    
    <xsl:template name="slideReference">
        <xsl:param name="slideContainerId"/>
        <xsl:param name="slideObjectId"/>
        <xsl:call-template name="slideFilename">
            <xsl:with-param name="slideContainerId" select="$slideContainerId"/>
        </xsl:call-template>
        <xsl:text>#</xsl:text>
        <xsl:value-of select="$slideObjectId"/>
    </xsl:template>
    
</xsl:stylesheet>