drop table if exists EmployeeProject, Employee, Project, Department; 

CREATE TABLE Department(  
   id BIGINT PRIMARY KEY 
   number INTEGER NOT NULL UNIQUE
  ,name CHAR(20) NOT NULL UNIQUE
  ,parent BIGINT REFERENCES Department
);

CREATE TABLE Project (
   id BIGINT PRIMARY KEY
  ,number INTEGER NOT NULL UNIQUE
  ,name CHAR(20) NOT NULL UNIQUE
);

CREATE TABLE Employee (
   id BIGINT PRIMARY KEY
  ,number INTEGER NOT NULL UNIQUE
  ,name CHAR(20) NOT NULL
  ,surname CHAR(20) NOT NULL
  ,department BIGINT NOT NULL REFERENCES Department
  ,telephone CHAR(4) NOT NULL
  ,fax CHAR(4) 
);

CREATE TABLE EmployeeProject (
   employee BIGINT NOT NULL REFERENCES Employee
  ,project BIGINT NOT NULL REFERENCES Project
  ,PRIMARY KEY(employee, project)
  ,weeklyHours INTEGER NOT NULL
)
