package component.emails;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * Persisting {@link User} instances having component E-Mail Addresses
 */
public class DeleteUser {

   /**
    * @param args not used.
    */
   public static void main(String[] args) {
      
      final EntityManagerFactory factory = Persistence.createEntityManagerFactory("componentEmailsPU");
      final EntityManager em = factory.createEntityManager();

      em.getTransaction().begin();
      {
         final User user = em.find(User.class, 1L);
         em.remove(user);
      }
      em.getTransaction().commit();

      em.close();
      factory.close();
   }
}