package inherit.v3;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * Persisting simple instances of {@link Figure}
 */
public class Persist {

   /**
    * @param args not used.
    */
   public static void main(String[] args) {
      final EntityManagerFactory factory = Persistence.createEntityManagerFactory("inheritV3PU");
      final EntityManager em = factory.createEntityManager();

      em.getTransaction().begin();
      {
         em.persist(new Circle(2.3, 1.8, 3.1));
         em.persist(new Rectangle(-2,-2, 1,2));
      }
      em.getTransaction().commit();

      em.close();
      factory.close();
   }
}