package dom;

import java.io.IOException;

import org.jdom2.Element;
import org.jdom2.Text;
import org.jdom2.output.Format;
import org.jdom2.output.XMLOutputter;


/**
 * A first example creating a DOM tree from scratch.
 * 
 * @author goik
 */
public class CreateDoc {
   /**
   * @param argv Unused cmd argset
   * @throws IOException File acces problem or corrupt content.
    */
   public static void main(String[] argv) throws IOException {

      // Create the root element
      final Element titel = new Element("titel");

      //Set a date
      titel.setAttribute("date", "23.02.2000");

      // Append a text node as child
      titel.addContent(new Text("Versuch 1"));
      
      
      // Set formatting for the XML output
      final Format outFormat = Format.getPrettyFormat();
      
      // Serialize to console
      final XMLOutputter printer = new XMLOutputter(outFormat);
      printer.output(titel, System.out);
   }
}