package de.hdm_stuttgart.mi.sd1.class_wrapper_private;

/**
 * Representing day values
 */

public class Day {

    private Day() {} // Disallow object creation outside class

    static public final Day
            MONDAY    = new Day(),
            TUESDAY   = new Day(),
            WEDNESDAY = new Day(),
            THURSDAY  = new Day(),
            FRIDAY    = new Day(),
            SATURDAY  = new Day(),
            SUNDAY    = new Day();

    public static String getDaysName(final Day day) {

        if (MONDAY == day) {  // Switch no longer possible, sigh!
            return "Monday";
        } else if (TUESDAY == day) {
            return "Tuesday";
        } else if (WEDNESDAY == day) {
            return "Wednesday";
        } else if (THURSDAY == day) {
            return "Thursday";
        } else if (FRIDAY == day) {
            return "Friday";
        } else if (SATURDAY == day) {
            return "Saturday";
        } else if (SUNDAY == day) {
            return "Sunday";
        } else {
            return "Illegal day instance: " + day;
        }
    }
}