package de.hdm_stuttgart.mi.sd1.class_wrapper_private;


public class Lecture {

    public final Day dayHeld; /* e.g. to be held on Tuesdays */

    public final String title; /* e.g. «PHP introduction» */

    public Lecture(final Day dayHeld, final String title) {
        this.dayHeld = dayHeld;
        this.title = title;
    }

    @Override
    public String toString() {
        return "Lecture «" + title + "» being held each " + Day.getDaysName(dayHeld);
    }
}
