package de.hdm_stuttgart.mi.sd1.integer_representation;

public class Screwed2 {


    /**
     * Charge double prices on weekends
     * @param day Day of week
     * @param amount
     * @return the effective amount depending on day of week.
     */
    static public int getPrice(final int day, final int amount) {
        switch (day) {
            case Day.SATURDAY:
            case Day.SUNDAY:
                return 2 * amount;
            default:
                return amount;
        }
    }

}
