package de.hdm_stuttgart.mi.sd1.use_enum;

/**
 * Representing day values
 */

public enum Day {

    MONDAY(   "Monday"),
    TUESDAY(  "Tuesday"),
    WEDNESDAY("Wednesday"),
    THURSDAY( "Thursday"),
    FRIDAY(   "Friday"),
    SATURDAY( "Saturday"),
    SUNDAY(   "Sunday");

    final String name;

    Day(final String name) {
        this.name = name;
    }


    @Override
    public String toString() {
        return name;
    }

    public static String getItalianDayname(final Day day) {

        switch (day) {
            case MONDAY:    return "Lunedì";
            case TUESDAY:   return "Martedì";
            case WEDNESDAY: return "Mercoledì";
            case THURSDAY:  return "Giovedì         ";
            case FRIDAY:    return "Venerdì";
            case SATURDAY:  return "Sabato";
            case SUNDAY:    return "Domenica";
        }
        return null; // Actually unreachable, but static
                     // code analysis is limited
    }
}