DROP TABLE IF EXISTS Para, `To`, Memo ;

CREATE TABLE Memo (
  id INT PRIMARY KEY,
  `from` CHAR(20) NOT NULL,
  subject CHAR(40),
  `priority` CHAR(6),
  CHECK (`priority` IN ('low', 'medium', 'high'))
);

CREATE TABLE `To` (
  email CHAR(20),
  memo INT NOT NULL,
  PRIMARY KEY (email, memo),
  FOREIGN KEY (memo) REFERENCES Memo(id)
);

CREATE TABLE Para (
  item INT NOT NULL,
  content CHAR(20),
  memo INT NOT NULL,
  PRIMARY KEY (item, memo),
  FOREIGN KEY (memo) REFERENCES Memo(id)
);
