package de.hdm_stuttgart.mi.sd1.fraction;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.sd1.Vowelcount.Vowelcount;

@SuppressWarnings("javadoc")
public class VowelTest {
  
  @Test
  public void testDiff() {
    Assert.assertEquals(3, Vowelcount.numVowels("piano"));
  }

  @Test
  public void testDiffStart() { // Vowel at beginning of string
    Assert.assertEquals(1, Vowelcount.numVowels("in"));
  }

  @Test
  public void testDiffU() {// Vowel 'u' forgotten in switch
    Assert.assertEquals(1, Vowelcount.numVowels("but"));
  }

  @Test
  public void testDiffCapital() {
    Assert.assertEquals(5, Vowelcount.numVowels("made by Oracle"));
  }

}
