package de.hdm_stuttgart.mi.sd1.test;

import de.hdm_stuttgart.mi.exam.unitmarking.RunTests;
import de.hdm_stuttgart.mi.sd1.test.aufgabe1.Test_ArrayHelper;
import de.hdm_stuttgart.mi.sd1.test.aufgabe1.Test_MathHelper;
import de.hdm_stuttgart.mi.sd1.test.aufgabe1.Test_StringHelper;
import de.hdm_stuttgart.mi.sd1.test.aufgabe2.Test_Artikel;

public class ShowReachedPoints {

  /**
   * Execution reveals the number of reached points.
   *
   * @param args Unused
   */
  public static void main(String[] args) {
    RunTests.exec(
      "Aufgabe 1"
            , Test_StringHelper.class
            , Test_MathHelper.class
            , Test_ArrayHelper.class
      );

    RunTests.exec("Aufgabe 2", Test_Artikel.class);
  }
}