package de.hdm_stuttgart.mi.sd1.test;

import de.hdm_stuttgart.mi.exam.unitmarking.RunTests;
import de.hdm_stuttgart.mi.sd1.test.task1.*;
import de.hdm_stuttgart.mi.sd1.test.task2.Test_ChangeAmount;

public class ShowReachedPoints {

  /**
   * Execution reveals the number of reached points.
   *
   * @param args Unused
   */
  public static void main(String[] args) {
    RunTests.exec(
        "Task 1"
        , Test_10_Helper_isAscending.class
        , Test_20_Helper_checkTitle.class
        , Test_30_Helper_isVowel.class
        , Test_40_Helper_getNumberOfVowels.class
        , Test_50_Helper_renameFileBasename.class

        , Test_110_HelperArray_getAlphabeticalFollowers.class
        , Test_120_HelperArray_getLeaders.class
    );

    RunTests.exec("Task 2", Test_ChangeAmount.class);
  }
}