package de.hdm_stuttgart.mi.sd1.task2.money;

/**
 * Representing euro (€) and cent coins.
 */
public enum Coin {

  /**    «one cent» */ CENT_01(1),
  /**    «two cent» */ CENT_02(2),
  /**   «five cent» */ CENT_05(5),
  /**    «ten cent» */ CENT_10(10),
  /** «twenty cent» */ CENT_20(20),
  /**  «fifty cent» */ CENT_50(50),
  /**    «one euro» */ EURO_1(100),
  /**    «two euro» */ EURO_2(200);

  Coin(final int value) {
    this.value = value;
  }

  /**
   * The given coin's value in cent.
   */
  public final int value;
}
