package de.hdm_stuttgart.mi.sd1.test.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.task1.Helper;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class Test_40_Helper_getNumberOfVowels extends ExaminationTestDefaults {

  @Test @Marking(points = 2) public void test_420_getNumberOfVowels_null() {
    Assert.assertEquals(0, Helper.getNumberOfVowels(null));
  }

  @Test @Marking(points = 2) public void test_430_getNumberOfVowels() {
    Assert.assertEquals(0, Helper.getNumberOfVowels(""));
    Assert.assertEquals(0, Helper.getNumberOfVowels("Thx"));
    Assert.assertEquals(1, Helper.getNumberOfVowels("O"));
    Assert.assertEquals(3, Helper.getNumberOfVowels("Oui"));
    Assert.assertEquals(7, Helper.getNumberOfVowels("This is quite simple."));
  }
}