package de.hdm_stuttgart.mi.sd1.test.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.task1.Helper;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class Test_50_Helper_renameFileBasename extends ExaminationTestDefaults {

  @Test @Marking(points = 2) public void test_610_rename_noExtension() {
    Assert.assertEquals("standard", Helper.renameFileBasename("standard", "standard"));
    Assert.assertEquals("other", Helper.renameFileBasename("standard", "other"));
  }
  @Test @Marking(points = 3) public void test_620_rename_simpleExtension() {
      Assert.assertEquals("doo.pdf", Helper.renameFileBasename("foo.pdf", "doo"));
      Assert.assertEquals("doo.pdf", Helper.renameFileBasename(".pdf", "doo"));
  }
  @Test @Marking(points = 3) public void test_630_rename_complexExtension() {
    Assert.assertEquals("new.tar.gz", Helper.renameFileBasename("archive.tar.gz", "new"));
    Assert.assertEquals("cute.b.c.d.e.f", Helper.renameFileBasename("a.b.c.d.e.f", "cute"));
    Assert.assertEquals("cute.b.c.d.e.f", Helper.renameFileBasename("a.b.c.d.e.f", "cute"));
  }
}