package de.hdm_stuttgart.mi.sda2.catalog.domain;

import javax.persistence.Entity;


/**
 * Product of type food having a limited shelf life
 *
 */
@Entity     @SuppressWarnings("javadoc")
public class FoodProduct extends Product {
   
   int daysOfShelfLife;
   
   protected FoodProduct() {
      super();
   }

   public FoodProduct(int productNumber, String name, int daysOfShelfLife) {
      super(productNumber, name);
      setDaysOfShelfLife(daysOfShelfLife);
   }


   public int getDaysOfShelfLife() {
      return daysOfShelfLife;
   }

   public void setDaysOfShelfLife(int daysOfShelfLife) {
      this.daysOfShelfLife = daysOfShelfLife;
   }

   @Override
   public String toString() {
      return "Food product " + super.toString() + ", days shelf life=" + getDaysOfShelfLife();
   }
   
}
