package de.hdm_stuttgart.mi.sd1.main;

import de.hdm_stuttgart.mi.sd1.store.IntegerStore;

/**
 * Playing with integer store object, producing some output.
 *
 */
public class Driver {
  /**
   * @param args unused
   */
  public static void main(String[] args) {

    // Create a new Store
    final IntegerStore store = new IntegerStore(4);
    
    // Fill in some values
    store.addValue(32);
    store.addValue(-5);
    store.addValue(24);
    
    System.out.println("Store contains " + store.getNumValues() + " values:");
    
    for (int i = 0; i < store.getNumValues(); i++) {
      System.out.println("Value " + (i + 1) + ": " + store.getValue(i));
    }
  }
}