package de.hdm_stuttgart.mi.sd1.store;

import java.util.HashSet;
import java.util.Set;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

@SuppressWarnings({"UnusedDeclaration", "javadoc"})
public class TestStringLookup {

	final Set<String> classmates = new HashSet<String>();

	@Before
	public void init() {
		classmates.add("Jim");
		classmates.add("Kim");
		classmates.add("Eve");
	}
	@Test
	public void testLookupExisting() {
		final String candidate = "Jim";
		Assert.assertTrue("Classmate '" + candidate + "' is in Set", classmates.contains(candidate));

	}
	@Test
	public void testLookupNonExisting() {
		final String candidate = "Petra";
		Assert.assertTrue("Classmate '" + candidate + "' is not in Set", !classmates.contains(candidate));
	}
}
