package de.hdm_stuttgart.mi.sd1.nonsenseGenerator;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.nonsense.NonsenseGenerator;

/**
 */
@SuppressWarnings({"UnusedDeclaration"})
public class PseudoRandomTest {
    /**
     */
    @Test
    public void testApp() {
       final NonsenseGenerator nonsenseGenerator = new  NonsenseGenerator(
             new PredictableSequenceGenerator(new int[]{
             //adjective thing verb thing
               3,        7,    19,  26, // First sentence fixed index values
               6,        20,   7,   15  // Second sentence fixed index values
       }));
       
       Assert.assertEquals("The gray cat threatens a dog.", 
             nonsenseGenerator.generateRandomSentence());
       Assert.assertEquals("The friendly lawyer meets with a physicist.", 
             nonsenseGenerator.generateRandomSentence());
    }
}
