package de.hdm_stuttgart.mi.sd1.grep;

import java.text.ParseException;

public class CommandLineException extends ParseException {
	private static final long serialVersionUID = -1102586659133699814L;

	/**
	 * Creating a command line error message.
	 * @param msg Problem description.
	 * @param position The index of the command line component causing the error message. Set this
	 * parameter to a negative value in case the error is not being related to a specific
	 * parameter (e.g. in case of no supplied arguments).
	 */
	public CommandLineException(final String msg, final int position) {
		super(msg, position);
	}

}
