package de.hdm_stuttgart.sd1.math;

/**
 * Testing {@link Math#sin(double)}in
 *
 */
public class Driver {

  /**
   * @param args Unused
   */
  public static void main(String[] args) {
    
    final double PI = java.lang.Math.PI;
    
    Math.setSeriesLimit(7);
    
    double byPowerSeries = Math.sin(PI / 2);
    System.out.println("sin(pi/2)=" + byPowerSeries + ", difference=" + (byPowerSeries - 1));
    
    byPowerSeries = Math.sin(PI);
    System.out.println("sin(pi)=" + byPowerSeries + ", difference=" + byPowerSeries);
    
    byPowerSeries = Math.sin(4 * PI);
    System.out.println("sin(4 * PI)=" + byPowerSeries + ", difference=" + byPowerSeries);
  }
}
