package de.hdm_stuttgart.mi.sda1.hashprovider.test;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.sda1.hashprovider.HashProvider;

/**
 */
@SuppressWarnings({"UnusedDeclaration"})
public class TestDecrypt {

   /**
    */
   @Test
   public void testDecrypt() {
	   
	   final HashProvider hashProvider = new HashProvider(4);// Too short for professional purposes.
	   
      final String clearText = "Hello!";
      
      final String saltedHash = hashProvider.getSaltedHash(clearText.toCharArray());
      System.out.println(saltedHash);

      Assert.assertTrue(HashProvider.check(clearText.toCharArray(), saltedHash));
      Assert.assertFalse(HashProvider.check(clearText.toCharArray(), "noDollarSeparatorSign"));
   }
}
