# Lecture note resources Martin Goik

## Content

<table>
<col width="80%">
  <col width="20%">
  <tr>
    <td>This repository hosts resources for generating lecture notes and exercises to be found at <a href='https://freedocs.mi.hdm-stuttgart.de'>https://freedocs.mi.hdm-stuttgart.de</a>.</td>
    <td><img src='https://freedocs.mi.hdm-stuttgart.de/webhelp/resources/freedocs.svg'/></td>
    </tr>
</table>

## Using the beast

Course material generation and installation has been successfully tested on Ubuntu 16.04 and requires the following packages / executables to be present on your system:

* ffmpeg
* [Xmlmind](http://www.xmlmind.com/xmleditor)  document editor
* rsync
* texlive-latex-base providing pdflatex
* imagemagick providing convert
* transfig providing fig2dev and fig2mpdf 
* fig2ps providing fig2pdf 
* pdf2svg 
* poppler-utils providing pdftoppm
* [Oracle JDK 1.8](http://www.oracle.com/technetwork/java/javase/downloads)  
* Scripts from bin subfolder figspecial2pdf, figspecial2png and figspecial2svg 
* cd /usr/share;git clone https://github.com/hakimel/reveal.js 
