package de.hdm_stuttgart.mi.sd1.test.aufgabe1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.sd1.aufgabe1.Helper;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

/**
 * Testing for sleeping soundly.
 */
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class TestSleepIn extends ExaminationTestDefaults {
  /**
   * Weekday, vacation
   */
  @Test
  public void test_100() {
    Assert.assertTrue(Helper.sleepIn(true, true));
  }

  /**
   * Weekday, no vacation
   */
  @Test
  public void test_120() {
    Assert.assertFalse(Helper.sleepIn(true, false));
  }

  /**
   * No weekday, vacation
   */
  @Test
  public void test_140() {
    Assert.assertTrue(Helper.sleepIn(false, true));
  }

  /**
   * No weekday, no vacation
   */
  @Test
  public void test_160() {
    Assert.assertTrue(Helper.sleepIn(false, false));
  }
}