package de.hdm_stuttgart.mi;


import javax.net.ssl.*;
import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.X509Certificate;

/**
 * Checking xml instances for external links
 */

public class Check {

  /**
   * Your application's main entry point.
   *
   * @param args Expecting an XML filename to be processed.
   */
  public static void main(String[] args) throws NoSuchAlgorithmException, KeyManagementException {

    if (1 != args.length) {
      exitOnError("Usage: refcheck <filename>", 3);
    }
    // Get rid of Let's encrypt and related certificate warnings
    // not (yet?) belonging to standard Java trust store.
    // Credits to https://www.nakov.com/blog/2009/07/16/disable-certificate-validation-in-java-ssl-connections
    //
    TrustManager[] trustAllCerts = new TrustManager[] {new X509TrustManager() {
      public java.security.cert.X509Certificate[] getAcceptedIssuers() {
        return null;
      }
      public void checkClientTrusted(X509Certificate[] certs, String authType) {
      }
      public void checkServerTrusted(X509Certificate[] certs, String authType) {
      }
    }
    };
    // Install the all-trusting trust manager
    SSLContext sc = SSLContext.getInstance("SSL");
    sc.init(null, trustAllCerts, new java.security.SecureRandom());
    HttpsURLConnection.setDefaultSSLSocketFactory(sc.getSocketFactory());

    // Create all-trusting host name verifier
    HostnameVerifier allHostsValid = new HostnameVerifier() {
      public boolean verify(String hostname, SSLSession session) {
        return true;
      }
    };

    // Install the all-trusting host verifier
    HttpsURLConnection.setDefaultHostnameVerifier(allHostsValid);


    final TargetDoc doc = new TargetDoc(args[0]);
  }

  static public void exitOnError(final String msg, final int status) {
    System.err.println(msg);
    System.exit(status);
  }
}