<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="2.0" >

<!-- does not (yet) work with (jdom 1.1.3 and jdk < 1.5) or jdom2
  <xsl:output method="xml" indent="yes" encoding="US-ASCII"
         doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
         doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

-->
  <xsl:template match="/catalog">
    <html>
      <head><title><xsl:value-of select="title"/></title></head>
      <body style="background-color:#FFFFFF">
        <h1><xsl:value-of select="title"/></h1>
        <xsl:apply-templates select="product"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="product">
    <h3><xsl:value-of select="title"/></h3>
    <xsl:for-each select="description/para">
      <p><xsl:value-of select="."/></p>
    </xsl:for-each>
    <xsl:if test="@price">
      <p>
        <xsl:text>Price:</xsl:text>
        <xsl:value-of select="@price"/>
      </p>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>