-- simple version --
DROP TABLE IF EXISTS Person;

CREATE TABLE Person (
   name char(80) 
  ,email CHAR(20) PRIMARY KEY
);

DELETE FROM Person;

SELECT * FROM Person;

-- Users may authenticate --
DROP TABLE IF EXISTS Person;

CREATE TABLE Person (
   name char(80) NOT NULL
  ,email CHAR(20) NOT NULL UNIQUE
  ,login CHAR(10)  PRIMARY KEY -- login names must be unique --
  ,password TEXT               -- hash values may be looooong! --
);

SELECT * FROM Person WHERE login='fred' and password = 'sd' OR '1' = '1';

INSERT INTO Person VALUES('Fred Blix', 'fb@my.com', 'blix',
'HwX2DkuYiwp7xogm3AGndza8DKRVvCMntxRvCrCGFPw=$6Ix11yHNB4uPZuF2IQYxVV/MYragJwTDE33OIFR9a24=');

DELETE FROM Person where login = 'me';