package sda.jdbc.intro.v1;

/**
 * Driver for testing the {@link PersistenceHandler} implementation.
 * 
 * @author goik
 *
 */
public class UsagePersistenceHandler {

   /**
    * creates a {@link PersistenceHandler} instance, tries to connect
    * to a database and insert a data set ('Jim', 'jim@foo.com') to
    * the existing table Person.
    * @param args unused
    */
   public static void main(String[] args) {
      final PersistenceHandler ph = new PersistenceHandler();
      if (ph.connect()) {
         if (!ph.add("Jim", "jim@foo.com")) {
            System.err.println("Insert Error:" + ph.getErrorMessage());
         }
      } else {
         System.err.println("Connect error:" + ph.getErrorMessage());
      }
   }
}
